# == Class: php7
#
# The class installs php7
#
# === Parameters
#
# - The $package_name that should be installed from Zend early access repo. Known packages are 'php7-nightly' and 'php7-beta1'
# - The $package_ensure specified should we keep package updated.
# - The $alternative_binaries is the list of binaries to install using alternatives.
# - The $alternative_priority is the priority for alternative binaries installed.
#
# === Examples
#
#  class { 'php7':
#    package_name   => 'php7-nightly',
#    package_ensure => 'latest',
#  }
#
# === Authors
#
# Victor Smirnov <victorsmirnov@yandex.ru>
#
class php7 (
  $package_name   = 'php7-beta1',
  $package_ensure = 'present',
  $alternative_binaries = ['phar.phar', 'php', 'php-cgi', 'php-config', 'phpize'],
  $alternative_priority = 10,
) {

  contain php7::install
  contain php7::configure
}
